using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;

namespace Dialogs 
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form 
	{
		private System.Windows.Forms.ColorDialog colorDialog1;
		private System.Windows.Forms.FontDialog fontDialog1;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.PageSetupDialog pageSetupDialog1;
		private System.Windows.Forms.PrintDialog printDialog1;
		private System.Windows.Forms.PrintPreviewDialog printPreviewDialog1;
		private System.Windows.Forms.SaveFileDialog saveFileDialog1;
		private System.Windows.Forms.Button colorDialogButton;
		private System.Windows.Forms.Button fontDialogButton;
		private System.Windows.Forms.Button openFileDialogButton;
		private System.Windows.Forms.Button pageSetupDialogButton;
		private System.Windows.Forms.Button printDialogButton;
		private System.Windows.Forms.Button printPreviewDialog;
		private System.Windows.Forms.Button saveFileDialogButton;
		private System.Windows.Forms.Button customDialogButton;
		private System.Windows.Forms.HelpProvider helpProvider1;
		private System.Windows.Forms.Button folderBrowserDialogButton;
		private System.Windows.Forms.ContextMenu contextMenu1;
		private System.Windows.Forms.MenuItem helpContentsMenuItem;
		private System.Windows.Forms.MenuItem helpIndexMenuItem;
		private System.Windows.Forms.MenuItem helpSearchMenuItem;
		private System.Drawing.Printing.PrintDocument printDocument1;
		private System.Windows.Forms.FolderBrowserDialog folderBrowserDialog1;
		private System.Windows.Forms.Button buttonModeless;
		private System.Windows.Forms.GroupBox groupFormData;
		private System.Windows.Forms.Label labelName;
		private System.Windows.Forms.Label labelPhone;
		private System.Windows.Forms.Label labelLoan;
		private System.Windows.Forms.Button buttonValidModal;
		private System.Windows.Forms.Button buttonValidModeless;
		private System.Windows.Forms.Button buttonModelessThorough;
		private System.Windows.Forms.Button buttonModalThorough;
		private System.Windows.Forms.Button buttonTooltip;
		private System.Windows.Forms.Button buttonInfo;
		private System.Windows.Forms.Button buttonHelp;
		private System.Windows.Forms.Button buttonProvider;
		private System.Windows.Forms.Button buttonBookModeless;
		private System.Windows.Forms.Button buttonBookModal;
        private Button button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainForm() 
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing ) 
		{
			if( disposing ) 
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() 
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            this.colorDialog1 = new System.Windows.Forms.ColorDialog();
            this.fontDialog1 = new System.Windows.Forms.FontDialog();
            this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
            this.pageSetupDialog1 = new System.Windows.Forms.PageSetupDialog();
            this.printDocument1 = new System.Drawing.Printing.PrintDocument();
            this.printDialog1 = new System.Windows.Forms.PrintDialog();
            this.printPreviewDialog1 = new System.Windows.Forms.PrintPreviewDialog();
            this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
            this.colorDialogButton = new System.Windows.Forms.Button();
            this.fontDialogButton = new System.Windows.Forms.Button();
            this.openFileDialogButton = new System.Windows.Forms.Button();
            this.pageSetupDialogButton = new System.Windows.Forms.Button();
            this.printDialogButton = new System.Windows.Forms.Button();
            this.printPreviewDialog = new System.Windows.Forms.Button();
            this.saveFileDialogButton = new System.Windows.Forms.Button();
            this.customDialogButton = new System.Windows.Forms.Button();
            this.helpProvider1 = new System.Windows.Forms.HelpProvider();
            this.folderBrowserDialogButton = new System.Windows.Forms.Button();
            this.contextMenu1 = new System.Windows.Forms.ContextMenu();
            this.helpContentsMenuItem = new System.Windows.Forms.MenuItem();
            this.helpIndexMenuItem = new System.Windows.Forms.MenuItem();
            this.helpSearchMenuItem = new System.Windows.Forms.MenuItem();
            this.folderBrowserDialog1 = new System.Windows.Forms.FolderBrowserDialog();
            this.buttonModeless = new System.Windows.Forms.Button();
            this.groupFormData = new System.Windows.Forms.GroupBox();
            this.labelLoan = new System.Windows.Forms.Label();
            this.labelPhone = new System.Windows.Forms.Label();
            this.labelName = new System.Windows.Forms.Label();
            this.buttonValidModal = new System.Windows.Forms.Button();
            this.buttonValidModeless = new System.Windows.Forms.Button();
            this.buttonModelessThorough = new System.Windows.Forms.Button();
            this.buttonModalThorough = new System.Windows.Forms.Button();
            this.buttonTooltip = new System.Windows.Forms.Button();
            this.buttonInfo = new System.Windows.Forms.Button();
            this.buttonHelp = new System.Windows.Forms.Button();
            this.buttonProvider = new System.Windows.Forms.Button();
            this.buttonBookModeless = new System.Windows.Forms.Button();
            this.buttonBookModal = new System.Windows.Forms.Button();
            this.button1 = new System.Windows.Forms.Button();
            this.groupFormData.SuspendLayout();
            this.SuspendLayout();
            // 
            // pageSetupDialog1
            // 
            this.pageSetupDialog1.Document = this.printDocument1;
            // 
            // printDialog1
            // 
            this.printDialog1.Document = this.printDocument1;
            // 
            // printPreviewDialog1
            // 
            this.printPreviewDialog1.AutoScrollMargin = new System.Drawing.Size(0, 0);
            this.printPreviewDialog1.AutoScrollMinSize = new System.Drawing.Size(0, 0);
            this.printPreviewDialog1.ClientSize = new System.Drawing.Size(400, 300);
            this.printPreviewDialog1.Enabled = true;
            //this.printPreviewDialog1.Icon = ((System.Drawing.Icon)(resources.GetObject("printPreviewDialog1.Icon")));
            this.printPreviewDialog1.Name = "printPreviewDialog1";
            this.printPreviewDialog1.Visible = false;
            // 
            // saveFileDialog1
            // 
            this.saveFileDialog1.FileName = "doc1";
            // 
            // colorDialogButton
            // 
            this.colorDialogButton.Location = new System.Drawing.Point(16, 16);
            this.colorDialogButton.Name = "colorDialogButton";
            this.colorDialogButton.Size = new System.Drawing.Size(136, 23);
            this.colorDialogButton.TabIndex = 0;
            this.colorDialogButton.Text = "Color Dialog";
            this.colorDialogButton.Click += new System.EventHandler(this.colorDialogButton_Click);
            // 
            // fontDialogButton
            // 
            this.fontDialogButton.Location = new System.Drawing.Point(16, 48);
            this.fontDialogButton.Name = "fontDialogButton";
            this.fontDialogButton.Size = new System.Drawing.Size(136, 23);
            this.fontDialogButton.TabIndex = 1;
            this.fontDialogButton.Text = "Font Dialog";
            this.fontDialogButton.Click += new System.EventHandler(this.fontDialogButton_Click);
            // 
            // openFileDialogButton
            // 
            this.openFileDialogButton.Location = new System.Drawing.Point(16, 80);
            this.openFileDialogButton.Name = "openFileDialogButton";
            this.openFileDialogButton.Size = new System.Drawing.Size(136, 23);
            this.openFileDialogButton.TabIndex = 2;
            this.openFileDialogButton.Text = "Open File Dialog";
            this.openFileDialogButton.Click += new System.EventHandler(this.openFileDialogButton_Click);
            // 
            // pageSetupDialogButton
            // 
            this.pageSetupDialogButton.Location = new System.Drawing.Point(16, 112);
            this.pageSetupDialogButton.Name = "pageSetupDialogButton";
            this.pageSetupDialogButton.Size = new System.Drawing.Size(136, 23);
            this.pageSetupDialogButton.TabIndex = 3;
            this.pageSetupDialogButton.Text = "Page Setup Dialog";
            this.pageSetupDialogButton.Click += new System.EventHandler(this.pageSetupDialogButton_Click);
            // 
            // printDialogButton
            // 
            this.printDialogButton.Location = new System.Drawing.Point(16, 144);
            this.printDialogButton.Name = "printDialogButton";
            this.printDialogButton.Size = new System.Drawing.Size(136, 23);
            this.printDialogButton.TabIndex = 4;
            this.printDialogButton.Text = "Print Dialog";
            this.printDialogButton.Click += new System.EventHandler(this.printDialogButton_Click);
            // 
            // printPreviewDialog
            // 
            this.printPreviewDialog.Location = new System.Drawing.Point(16, 176);
            this.printPreviewDialog.Name = "printPreviewDialog";
            this.printPreviewDialog.Size = new System.Drawing.Size(136, 23);
            this.printPreviewDialog.TabIndex = 5;
            this.printPreviewDialog.Text = "Print Preview Dialog";
            this.printPreviewDialog.Click += new System.EventHandler(this.printPreviewDialog_Click);
            // 
            // saveFileDialogButton
            // 
            this.saveFileDialogButton.Location = new System.Drawing.Point(16, 208);
            this.saveFileDialogButton.Name = "saveFileDialogButton";
            this.saveFileDialogButton.Size = new System.Drawing.Size(136, 23);
            this.saveFileDialogButton.TabIndex = 6;
            this.saveFileDialogButton.Text = "Save File Dialog";
            this.saveFileDialogButton.Click += new System.EventHandler(this.saveFileDialogButton_Click);
            // 
            // customDialogButton
            // 
            this.customDialogButton.Location = new System.Drawing.Point(168, 112);
            this.customDialogButton.Name = "customDialogButton";
            this.customDialogButton.Size = new System.Drawing.Size(136, 23);
            this.customDialogButton.TabIndex = 8;
            this.customDialogButton.Text = "Custom Modal";
            this.customDialogButton.Click += new System.EventHandler(this.customDialogButton_Click);
            // 
            // folderBrowserDialogButton
            // 
            this.folderBrowserDialogButton.Location = new System.Drawing.Point(16, 240);
            this.folderBrowserDialogButton.Name = "folderBrowserDialogButton";
            this.folderBrowserDialogButton.Size = new System.Drawing.Size(136, 23);
            this.folderBrowserDialogButton.TabIndex = 7;
            this.folderBrowserDialogButton.Text = "Folder Browser Dialog";
            this.folderBrowserDialogButton.Click += new System.EventHandler(this.folderBrowserDialogButton_Click);
            // 
            // contextMenu1
            // 
            this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
            this.helpContentsMenuItem,
            this.helpIndexMenuItem,
            this.helpSearchMenuItem});
            // 
            // helpContentsMenuItem
            // 
            this.helpContentsMenuItem.Index = 0;
            this.helpContentsMenuItem.Text = "Help Contents";
            this.helpContentsMenuItem.Click += new System.EventHandler(this.helpContentsMenuItem_Click);
            // 
            // helpIndexMenuItem
            // 
            this.helpIndexMenuItem.Index = 1;
            this.helpIndexMenuItem.Text = "Help Index";
            this.helpIndexMenuItem.Click += new System.EventHandler(this.helpIndexMenuItem_Click);
            // 
            // helpSearchMenuItem
            // 
            this.helpSearchMenuItem.Index = 2;
            this.helpSearchMenuItem.Text = "Help Search";
            this.helpSearchMenuItem.Click += new System.EventHandler(this.helpSearchMenuItem_Click);
            // 
            // buttonModeless
            // 
            this.buttonModeless.Location = new System.Drawing.Point(168, 136);
            this.buttonModeless.Name = "buttonModeless";
            this.buttonModeless.Size = new System.Drawing.Size(136, 23);
            this.buttonModeless.TabIndex = 9;
            this.buttonModeless.Text = "Custom Modeless";
            this.buttonModeless.Click += new System.EventHandler(this.buttonModeless_Click);
            // 
            // groupFormData
            // 
            this.groupFormData.Controls.Add(this.labelLoan);
            this.groupFormData.Controls.Add(this.labelPhone);
            this.groupFormData.Controls.Add(this.labelName);
            this.groupFormData.Location = new System.Drawing.Point(168, 16);
            this.groupFormData.Name = "groupFormData";
            this.groupFormData.Size = new System.Drawing.Size(280, 80);
            this.groupFormData.TabIndex = 10;
            this.groupFormData.TabStop = false;
            this.groupFormData.Text = "Form Data";
            // 
            // labelLoan
            // 
            this.labelLoan.Location = new System.Drawing.Point(16, 56);
            this.labelLoan.Name = "labelLoan";
            this.labelLoan.Size = new System.Drawing.Size(168, 16);
            this.labelLoan.TabIndex = 2;
            // 
            // labelPhone
            // 
            this.labelPhone.Location = new System.Drawing.Point(16, 40);
            this.labelPhone.Name = "labelPhone";
            this.labelPhone.Size = new System.Drawing.Size(168, 16);
            this.labelPhone.TabIndex = 1;
            // 
            // labelName
            // 
            this.labelName.Location = new System.Drawing.Point(16, 24);
            this.labelName.Name = "labelName";
            this.labelName.Size = new System.Drawing.Size(168, 16);
            this.labelName.TabIndex = 0;
            // 
            // buttonValidModal
            // 
            this.buttonValidModal.Location = new System.Drawing.Point(168, 176);
            this.buttonValidModal.Name = "buttonValidModal";
            this.buttonValidModal.Size = new System.Drawing.Size(136, 23);
            this.buttonValidModal.TabIndex = 11;
            this.buttonValidModal.Text = "Validated Modal";
            this.buttonValidModal.Click += new System.EventHandler(this.buttonValidModal_Click);
            // 
            // buttonValidModeless
            // 
            this.buttonValidModeless.Location = new System.Drawing.Point(168, 200);
            this.buttonValidModeless.Name = "buttonValidModeless";
            this.buttonValidModeless.Size = new System.Drawing.Size(136, 23);
            this.buttonValidModeless.TabIndex = 12;
            this.buttonValidModeless.Text = "Validated Modeless";
            this.buttonValidModeless.Click += new System.EventHandler(this.buttonValidModeless_Click);
            // 
            // buttonModelessThorough
            // 
            this.buttonModelessThorough.Location = new System.Drawing.Point(168, 264);
            this.buttonModelessThorough.Name = "buttonModelessThorough";
            this.buttonModelessThorough.Size = new System.Drawing.Size(136, 23);
            this.buttonModelessThorough.TabIndex = 15;
            this.buttonModelessThorough.Text = "Thorough Modeless";
            this.buttonModelessThorough.Click += new System.EventHandler(this.buttonModelessThorough_Click);
            // 
            // buttonModalThorough
            // 
            this.buttonModalThorough.Location = new System.Drawing.Point(168, 240);
            this.buttonModalThorough.Name = "buttonModalThorough";
            this.buttonModalThorough.Size = new System.Drawing.Size(136, 23);
            this.buttonModalThorough.TabIndex = 14;
            this.buttonModalThorough.Text = "Thorough Modal";
            this.buttonModalThorough.Click += new System.EventHandler(this.buttonModalThorough_Click);
            // 
            // buttonTooltip
            // 
            this.buttonTooltip.Location = new System.Drawing.Point(312, 112);
            this.buttonTooltip.Name = "buttonTooltip";
            this.buttonTooltip.Size = new System.Drawing.Size(136, 23);
            this.buttonTooltip.TabIndex = 17;
            this.buttonTooltip.Text = "Tooltip Modal";
            this.buttonTooltip.Click += new System.EventHandler(this.buttonTooltip_Click);
            // 
            // buttonInfo
            // 
            this.buttonInfo.Location = new System.Drawing.Point(312, 144);
            this.buttonInfo.Name = "buttonInfo";
            this.buttonInfo.Size = new System.Drawing.Size(136, 23);
            this.buttonInfo.TabIndex = 18;
            this.buttonInfo.Text = "Info Modal";
            this.buttonInfo.Click += new System.EventHandler(this.buttonInfo_Click);
            // 
            // buttonHelp
            // 
            this.buttonHelp.Location = new System.Drawing.Point(312, 176);
            this.buttonHelp.Name = "buttonHelp";
            this.buttonHelp.Size = new System.Drawing.Size(136, 23);
            this.buttonHelp.TabIndex = 19;
            this.buttonHelp.Text = "Help Modal";
            this.buttonHelp.Click += new System.EventHandler(this.buttonHelp_Click);
            // 
            // buttonProvider
            // 
            this.buttonProvider.Location = new System.Drawing.Point(312, 208);
            this.buttonProvider.Name = "buttonProvider";
            this.buttonProvider.Size = new System.Drawing.Size(136, 23);
            this.buttonProvider.TabIndex = 20;
            this.buttonProvider.Text = "Provider Modal";
            this.buttonProvider.Click += new System.EventHandler(this.buttonProvider_Click);
            // 
            // buttonBookModeless
            // 
            this.buttonBookModeless.Location = new System.Drawing.Point(312, 240);
            this.buttonBookModeless.Name = "buttonBookModeless";
            this.buttonBookModeless.Size = new System.Drawing.Size(136, 23);
            this.buttonBookModeless.TabIndex = 22;
            this.buttonBookModeless.Text = "Book Modeless";
            this.buttonBookModeless.Click += new System.EventHandler(this.buttonBookModeless_Click);
            // 
            // buttonBookModal
            // 
            this.buttonBookModal.Location = new System.Drawing.Point(312, 264);
            this.buttonBookModal.Name = "buttonBookModal";
            this.buttonBookModal.Size = new System.Drawing.Size(136, 23);
            this.buttonBookModal.TabIndex = 23;
            this.buttonBookModal.Text = "Book Modal";
            this.buttonBookModal.Click += new System.EventHandler(this.buttonBookModal_Click);
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(16, 270);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(75, 23);
            this.button1.TabIndex = 24;
            this.button1.Text = "button1";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // MainForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(466, 304);
            this.ContextMenu = this.contextMenu1;
            this.Controls.Add(this.button1);
            this.Controls.Add(this.buttonBookModal);
            this.Controls.Add(this.buttonBookModeless);
            this.Controls.Add(this.buttonProvider);
            this.Controls.Add(this.buttonHelp);
            this.Controls.Add(this.buttonInfo);
            this.Controls.Add(this.buttonTooltip);
            this.Controls.Add(this.buttonModelessThorough);
            this.Controls.Add(this.buttonModalThorough);
            this.Controls.Add(this.buttonValidModeless);
            this.Controls.Add(this.buttonValidModal);
            this.Controls.Add(this.groupFormData);
            this.Controls.Add(this.buttonModeless);
            this.Controls.Add(this.colorDialogButton);
            this.Controls.Add(this.fontDialogButton);
            this.Controls.Add(this.openFileDialogButton);
            this.Controls.Add(this.pageSetupDialogButton);
            this.Controls.Add(this.printDialogButton);
            this.Controls.Add(this.printPreviewDialog);
            this.Controls.Add(this.saveFileDialogButton);
            this.Controls.Add(this.customDialogButton);
            this.Controls.Add(this.folderBrowserDialogButton);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "MainForm";
            this.Text = "Dialogs";
            this.Load += new System.EventHandler(this.Form1_Load);
            this.groupFormData.ResumeLayout(false);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		void colorDialogButton_Click(object sender, EventArgs e) 
		{
			//  ColorDialog dlg = new ColorDialog();
			//  dlg.Color = Color.Red;
			//  DialogResult res = dlg.ShowDialog();
			//  if( res == DialogResult.OK ) {
			//    MessageBox.Show("You picked " + dlg.Color.ToString(), "Color Picked");
			//  }
			colorDialog1.Color = Color.Red;
			DialogResult res = colorDialog1.ShowDialog();
			if( res == DialogResult.OK ) 
			{
				MessageBox.Show("You picked " + colorDialog1.Color.ToString(), "Color Picked");
			}
		}

		private void fontDialogButton_Click(object sender, System.EventArgs e) 
		{
			fontDialog1.ShowDialog();
		}

		private void folderBrowserDialogButton_Click(object sender, System.EventArgs e) 
		{
			folderBrowserDialog1.ShowDialog();
		}

		private void openFileDialogButton_Click(object sender, System.EventArgs e) 
		{
			//      openFileDialog1.ShowDialog();
			OpenFileDialog dlg = new OpenFileDialog();
			DialogResult res = dlg.ShowDialog();
			if( res == DialogResult.OK ) 
			{
				MessageBox.Show("You picked: " + dlg.FileName);
			}
		}

		private void pageSetupDialogButton_Click(object sender, System.EventArgs e) 
		{
			pageSetupDialog1.ShowDialog();
		}

		private void printDialogButton_Click(object sender, System.EventArgs e) 
		{
			printDialog1.ShowDialog();
		}

		private void printPreviewDialog_Click(object sender, System.EventArgs e) 
		{
			printPreviewDialog1.ShowDialog();
		}

		private void saveFileDialogButton_Click(object sender, System.EventArgs e) 
		{
			saveFileDialog1.ShowDialog();
		}

		void helpContentsMenuItem_Click(object sender, EventArgs e) 
		{
			Help.ShowHelp(this, "dialogs.chm", HelpNavigator.TableOfContents);
		}

		void helpIndexMenuItem_Click(object sender, EventArgs e) 
		{
			Help.ShowHelpIndex(this, "dialogs.chm");
		}

		void helpSearchMenuItem_Click(object sender, EventArgs e) 
		{
			Help.ShowHelp(this, "dialogs.chm", HelpNavigator.Find, "");
		}

		private void Form1_Load(object sender, System.EventArgs e) 
		{
			if( !Environment.CurrentDirectory.ToLower().EndsWith(@"\help") ) 
			{
				Environment.CurrentDirectory = Path.Combine(Environment.CurrentDirectory, @"..\..\help");
			}
		}

		private void customDialogButton_Click(object sender, System.EventArgs e) 
		{
			LoanApplicationDialog dlg = new LoanApplicationDialog(); 
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonModeless_Click(object sender, System.EventArgs e)
		{
			LoanApplicationDialog dlg = new LoanApplicationDialog();
			FormDataToDialog(dlg);
			dlg.Accept += new EventHandler(dlg_Accept);
			dlg.Show();
		}	  

		private void FormDataToDialog(LoanApplicationDialog dlg) 
		{
			dlg.ApplicantName = labelName.Text;
			dlg.ApplicantPhone = labelPhone.Text;
			dlg.ApplicantLoan = labelLoan.Text;
		}

		private void DialogDataToForm(LoanApplicationDialog dlg) 
		{
			labelName.Text = dlg.ApplicantName;
			labelPhone.Text = dlg.ApplicantPhone;
			labelLoan.Text = dlg.ApplicantLoan;
		}

		private void dlg_Accept(object sender, EventArgs e)
		{
			DialogDataToForm((LoanApplicationDialog) sender);
		}

		private void buttonValidModal_Click(object sender, System.EventArgs e)
		{
			LoanApplicationValidated dlg = new LoanApplicationValidated(); 
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonValidModeless_Click(object sender, System.EventArgs e)
		{
			LoanApplicationValidated dlg = new LoanApplicationValidated();
			FormDataToDialog(dlg);
			dlg.Accept += new EventHandler(dlg_Accept);
			dlg.Show();
		}

		private String GetOwnedForms() 
		{
			String result = "";
			foreach (Form ownedForm in this.OwnedForms ) 
			{
				result += ownedForm.Text + "\n";
			}
			return result;
		}

		private void buttonOwnedForms_Click(object sender, System.EventArgs e)
		{
			MessageBox.Show(GetOwnedForms());
		}

		private void buttonModalThorough_Click(object sender, System.EventArgs e)
		{
			LoanApplicationThorough dlg = new LoanApplicationThorough();
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonModelessThorough_Click(object sender, System.EventArgs e)
		{
			LoanApplicationThorough dlg = new LoanApplicationThorough();
			FormDataToDialog(dlg);
			dlg.Accept += new EventHandler(dlg_Accept);
			dlg.Show();		
		}

		private void buttonMyDialog_Click(object sender, System.EventArgs e)
		{
			MyDialog dlg = new MyDialog();
			dlg.ShowDialog();
		}

		private void buttonTooltip_Click(object sender, System.EventArgs e)
		{
			LoanApplicationToolTip dlg = new LoanApplicationToolTip();
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonInfo_Click(object sender, System.EventArgs e)
		{
			LoanApplicationInfo dlg = new LoanApplicationInfo();
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonHelp_Click(object sender, System.EventArgs e)
		{
			LoanApplicationHelp dlg = new LoanApplicationHelp();
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonProvider_Click(object sender, System.EventArgs e)
		{
			LoanApplicationProvider dlg = new LoanApplicationProvider();
			FormDataToDialog(dlg);
			if (dlg.ShowDialog() == DialogResult.OK) 
			{
				DialogDataToForm(dlg);
			}
		}

		private void buttonValidBook_Click(object sender, System.EventArgs e)
		{
			new LoanApplicationDialogBook().ShowDialog();
		}

		private void buttonBookModeless_Click(object sender, System.EventArgs e)
		{
			new LoanApplicationDialogBook().Show();		
		}

		private void buttonBookModal_Click(object sender, System.EventArgs e)
		{
			new LoanApplicationDialogBook().ShowDialog();		
		}

        private void button1_Click(object sender, EventArgs e)
        {
            new TestHelp().Show(this);
        }
	}
}
